Subject: Re: gdb backtrace with core files

From: Brian Kuschak <[email-masked]>
Date: Thu, 7 Apr 2005 13:43:29 -0700 (PDT)

> > OK, tried again with version (GNU gdb
> > 6.3.50.20050407-cvs.)  Same result.
> > 
> > I'm running gdb on x86 host, debugging a binary
> for a
> > MIPS target.  I configured gdb as
> > ./configure --target mipsel-linux-gnu
> --enable-shared
> > --enable-threads 
> > 
> > Perhaps gdb isn't getting the right kernel headers
> > when built?  I added the configure options
> > --includedir and --oldincludedir to point to my
> > linux-mips kernel tree, but that didn't help
> either.  
> 
> It does not use the kernel headers to work out the
> layout.  Are you
> using a current kernel?  I tested core dump support
> only a couple weeks
> ago.

I'm using a 2.4.25 vendor-patched kernel from
Broadcom.  I can poke around and compare the
core-dumping code to the latest mips-linux tree to see
if anything is different.

Brian

__________________________________ 
Do you Yahoo!? 
Yahoo! Small Business - Try our new resources site!
http://smallbusiness.yahoo.com/resources/